# Class: GridComponent

## GridComponent()

Shared grid component used to show tables in various interfaces.

## Constructor

#### new GridComponent()

Source:
  - frontend/src/components/Grid.component.js, line 40

### Extends

- Component

### Methods

#### on_col_click(col, row, passcol)

Called when the component renderer emits a click event, to pass it along to the column definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`col` | object | the column definition
`row` | object | the row clicked
`passcol` | object | the column emitted from the component

Source:
  - frontend/src/components/Grid.component.js, line 67

#### (async) vue_on_create() → {Promise.<void>}

Called when the component is instantiated.

Source:
  - frontend/src/components/Grid.component.js, line 57

##### Returns:

Type
  Promise.<void>